
QGIS Application - Bug report #15348

"extract projection" broken in GDAL tools

2016-07-27 03:19 AM - Novarese  

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GDAL Tools

Affected QGIS version:2.16.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23280

Description

New description:

the tools returns a python error

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/GdalTools/tools/doExtractProj.py", line 111, in accept

    self.extractor.fileProcessed.connect(self.updateProgress)

AttributeError: 'ExtractThread' object has no attribute 'fileProcessed'

tested on 2.16 on both Win and Lin

The same tools in the Processing toolbox runs with no issues.

Old description:

If you run:

Menu Raster => Projections => Extract projection

on a Geotiff (no matter of compression type or colour depth) the program gets stuck, needing a process kill.

I attach a test raster of mine: thx in advance, gentlemen.

Associated revisions

Revision 572a60b7 - 2016-07-28 12:38 PM - Alexander Bruy

[GdalTools] add missed signals (fix #15348)

follow up 9db908ccbc

Revision 22a072e1 - 2016-07-28 12:41 PM - Alexander Bruy

[GdalTools] add missed signals (fix #15348)

follow up 9db908ccbc

(cherry picked from commit 572a60b7afdb78f8642d958b0cf7c3b7771ddcdf)
History

#1 - 2016-07-27 06:14 AM - Johannes Kroeger

On Linux I got the following Python error dialog:

An error has occurred while executing Python code: 

AttributeError: 'ExtractThread' object has no attribute 'fileProcessed' 

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/GdalTools/tools/doExtractProj.py", line 111, in accept

    self.extractor.fileProcessed.connect(self.updateProgress)

AttributeError: 'ExtractThread' object has no attribute 'fileProcessed'

Python version: 2.7.12 (default, Jun 28 2016, 08:31:05) [GCC 6.1.1 20160602] 

QGIS version: 2.99.0-Master Master, c9d6269

Afterwards I could simply close the dialogs. The mouse pointer stayed "in progress" but the program worked fine for me. Does it really complete freeze for

you? Do you get no error message?

#2 - 2016-07-27 08:16 AM - Novarese  

Johannes Kroeger wrote:

Does it really complete freeze for you? Do you get no error message?

Yes Sir, completely frozen, without any warning nor mercy :(

Are you sure your 2.16 under Linux creates a working .WLD file..?

#3 - 2016-07-27 09:53 AM - Giovanni Manghi

- Operating System deleted (Windows)

- Priority changed from Normal to Severe/Regression

- Subject changed from Freezing upon worldfile's extraction to "extract projection" broken in GDAL tools

- File alpha.wld added

- Category set to GDAL Tools

- Crashes QGIS or corrupts data changed from Yes to No

I have tested the tool in the raster menu on both Windows and Linux and on both platforms the result is the same

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/GdalTools/tools/doExtractProj.py", line 111, in accept

    self.extractor.fileProcessed.connect(self.updateProgress)

AttributeError: 'ExtractThread' object has no attribute 'fileProcessed'

that is of course a regression, but is not the issue you are seeing.

On the other hand the very same tool in the Processing toolbox works fine also with your sample data.

Please try again: make a backup of your .qgis2 folder, then delete it and restart QGIS. After that report if something changed.
#4 - 2016-07-28 03:36 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"572a60b7afdb78f8642d958b0cf7c3b7771ddcdf".

#5 - 2016-07-28 03:06 PM - Novarese  

Alexander Bruy wrote:_

_> Fixed in changeset commit:"572a60b7afdb78f8642d958b0cf7c3b7771ddcdf".

Well done, Alex: your patch works like a charm :)

Files

bug_216.zip 240 KB 2016-07-27 Novarese  

alpha.wld 80 Bytes 2016-07-27 Giovanni Manghi
